org.apache.ode.bpel.explang

## Interface ExpressionLanguageRuntime

- All Known Implementing Classes:
    KonstExpressionLanguageRuntimeImpl, XPath10ExpressionRuntime, XPath20ExpressionRuntime, XQuery10ExpressionRuntime

      public interface ExpressionLanguageRuntime

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `evaluate(OExpression cexp, EvaluationContext ctx)`
    `boolean` | `evaluateAsBoolean(OExpression cexp, EvaluationContext ctx)`
    `java.util.Calendar` | `evaluateAsDate(OExpression cexp, EvaluationContext context)`
    `Duration` | `evaluateAsDuration(OExpression cexp, EvaluationContext context)`
    `java.lang.Number` | `evaluateAsNumber(OExpression cexp, EvaluationContext ctx)`
    `java.lang.String` | `evaluateAsString(OExpression cexp, EvaluationContext ctx)`
    `org.w3c.dom.Node` | `evaluateNode(OExpression cexp, EvaluationContext context)`
    `void` | `initialize(java.util.Map properties)` Initialize the expression evaluation runtime.

- - ### Method Detail

    - #### initialize

          void initialize(java.util.Map properties)
                   throws ConfigurationException

      Initialize the expression evaluation runtime.
      Parameters:
        `properties` - configuration properties
      Throws:
        `ConfigurationException`

    - #### evaluateAsString

          java.lang.String evaluateAsString(OExpression cexp,
                                            EvaluationContext ctx)
                                     throws FaultException,
                                            EvaluationException

      Throws:
        `FaultException`
        `EvaluationException`

    - #### evaluateAsBoolean

          boolean evaluateAsBoolean(OExpression cexp,
                                    EvaluationContext ctx)
                             throws FaultException,
                                    EvaluationException

      Throws:
        `FaultException`
        `EvaluationException`

    - #### evaluateAsNumber

          java.lang.Number evaluateAsNumber(OExpression cexp,
                                            EvaluationContext ctx)
                                     throws FaultException,
                                            EvaluationException

      Throws:
        `FaultException`
        `EvaluationException`

    - #### evaluate

          java.util.List evaluate(OExpression cexp,
                                  EvaluationContext ctx)
                           throws FaultException,
                                  EvaluationException

      Throws:
        `FaultException`
        `EvaluationException`

    - #### evaluateAsDate

          java.util.Calendar evaluateAsDate(OExpression cexp,
                                            EvaluationContext context)
                                     throws FaultException,
                                            EvaluationException

      Throws:
        `FaultException`
        `EvaluationException`

    - #### evaluateAsDuration

          Duration evaluateAsDuration(OExpression cexp,
                                      EvaluationContext context)
                               throws FaultException,
                                      EvaluationException

      Throws:
        `FaultException`
        `EvaluationException`

    - #### evaluateNode

          org.w3c.dom.Node evaluateNode(OExpression cexp,
                                        EvaluationContext context)
                                 throws FaultException,
                                        EvaluationException

      Throws:
        `FaultException`
        `EvaluationException`